#!/bin/sh

set -e

# This script can be called in the following ways:
#
# After the package was removed:
#       <postrm> remove
#
# After the package was purged:
#       <postrm> purge
#
# After the package was upgraded:
#       <old-postrm> upgrade <new-version>
# if that fails:
#       <new-postrm> failed-upgrade <old-version>
#
#
# After all of the packages files have been replaced:
#       <postrm> disappear <overwriting-package> <version>
#
#
# If preinst fails during install:
#       <new-postrm> abort-install
#
# If preinst fails during upgrade of removed package:
#       <new-postrm> abort-install <old-version>
#
# If preinst fails during upgrade:
#       <new-postrm> abort-upgrade <old-version>

#DEBHELPER#

case "$1" in
	remove|purge)
		if [ -d /boot/efi/tuxedo ]; then
		rm -r /boot/efi/tuxedo/
		fi
		if [ -f /etc/default/grub.d/tuxedo-theme.cfg ]; then
		rm /etc/default/grub.d/tuxedo-theme.cfg
		fi
		update-grub
		;;
	upgrade|failed-upgrade|disappear)
		;;
	abort-install|abort-upgrade)
		;;
	*)
		echo "$0 called with unknown argument \`$1'" 1>&2
		exit 1
		;;
esac

exit 0
